﻿<?xml version="1.0" encoding="utf-8"?>
<Application>
	<DisplayInfo Title="PASCO Capstone" Publisher="PASCO" Version="" ReleaseDate="">
		<UserCategories>
		</UserCategories>
		<SoftwareCategories>
			<Category>LABS Baseline</Category>
		</SoftwareCategories>
	</DisplayInfo>
	<DeploymentType Title="" Architecture="x86" Technology="Script" DetectionMethod="Script" ContentLocation="\\server01\sources$\PASCO Scientific\Capstone\archive\{SoftwareVersion}\win_{Architecture}\">
		<UninstallCommand>"Deploy-Application.exe" UNINSTALL</UninstallCommand>
		<InstallCommand>"Deploy-Application.exe" INSTALL</InstallCommand>
		<DetectionScript RunAs32Bit="False" Language="PowerShell">
			<TEXT>$DisplayName = '{DetectionName}'
$DisplayVersion = '{DetectionVersion}'
$Architecture = '{Architecture}'
$DetectionRegPath = '{DetectionRegPath}'
$RegKeyList = Get-ChildItem -Path $DetectionRegPath | Where-Object {$_.GetValue('DisplayName') -like "$DisplayName*"}

if($RegKeyList) {
	$RegKey = $RegKeyList | Where-Object {[version]$_.GetValue('DisplayVersion') -ge [version]$DisplayVersion}	
    if($RegKey) {
        return $true
    }
}
			</TEXT>
		</DetectionScript>
		<Custom>
			<DetectionVersionLogic TargetItem="Installer" TargetItemPath="\\server01\sources$\PASCO Scientific\Capstone\archive\{SoftwareVersion}\win_{Architecture}\Files\*.exe" TargetItemType="EXE" TargetItemProperty="ProductVersion">	
			</DetectionVersionLogic>
		</Custom>
	</DeploymentType>
</Application>